APMCONF(8)

NAME
apmconf - configure APM BIOS driver

SYNOPSIS
apmconf [-e] [-d] [-h] [-t]

DESCRIPTION
apmconf is used to configure the APM (Advanced Power Management) BIOS driver apm(4) on laptop PCs.

The following options are available.

-e  Enable power management.

-d  Disable power management.

These options enable/disable power management functions provided by apm(4).

-h  Enable HLT instruction in kernel context switch routine.

-t  Disable HLT instruction in kernel context switch routine.

These options are not necessary for almost all APM implementations, but for some implementations whose “Idle CPU” call executes both CPU clock slowdown and HLT instruction, -t is necessary to prevent the system from reducing its peak performance. See apm(4) for details.

SEE ALSO
apm(4), apm(8), zzz(8)

AUTHOR
HOSOKAWA, Tatsumi <hosokawa@mt.cs.keio.ac.jp> (Keio Univ., Japan)